[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [ccheney@cheney.cx: libqt2 libpng2 resolution]



On Wed, Jan 09, 2002 at 12:11:40AM +0100, Adrian Bunk wrote:
> On 7 Jan 2002, Philippe Troin wrote:
> > How do you plan to prevent programs that link with libqt2 to also link
> > with libpng3 ? Manual check ?
> 
> Another possiblility is the following (only the new dependencies are
> listed):
> 
> Package: libqt2-dev
> Conflicts: libpng3
> Build-Conflicts: libpng3
> 
> [note that libpng3 is the library package _not_ the -dev package]
> 
> 
> This way neither a program that links with libqt2 nor a library libqt2 is
> linked with can be linked with libpng3.

What? That means that you can't have a libpng3 program on a machine with
libqt2-dev installed ... icky.

-d

-- 
Daniel Stone						    <daniel@sfarc.net>
Craig Sanders isn't a real man; he's a social degenerate.
-- Branden Robinson to debian-devel

Attachment: pgpBiNOMaPhK_.pgp
Description: PGP signature


Reply to: